Subject: Reasonable source for bamboo

From: [email-masked] (Julian H. Fisher, M.D.)
Date: 22 Mar 1995 22:20:00 GMT

Clumping bamboo (fargesia varieties) seems to be selling for outrageous 
prices in New England - $65-75 for 1-gallon pots. Is there any reliable 
mailorder source at better rates? Thanks for any suggestions.